> For the complete documentation index, see [llms.txt](https://docs.mozilla.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mozilla.ai/mcpd/cli-reference/mcpd_config_plugins_move.md).

# config plugins move

Move a plugin between categories or reorder within a category

## Synopsis

Move a plugin entry between categories and/or reorder within a category. Plugin execution order matters, so use this command to control both categorization and position in the execution pipeline.

```
mcpd config plugins move [flags]
```

## Examples

```
  # Move to different category
  mcpd config plugins move --category=authentication --name=jwt-auth --to-category=audit

  # Move to different category at specific position
  mcpd config plugins move --category=authentication --name=jwt-auth --to-category=audit --position=1

  # Move before another plugin (same category)
  mcpd config plugins move --category=authentication --name=jwt-auth --before=oauth

  # Move after another plugin (same category)
  mcpd config plugins move --category=authentication --name=jwt-auth --after=api-key

  # Move to specific position (same category)
  mcpd config plugins move --category=authentication --name=jwt-auth --position=1
```

## Options

```
      --after string           Optional, position the named plugin after this plugin
      --before string          Optional, position the named plugin before this plugin
      --category category      Current category of the plugin to move (one of: audit, authentication, authorization, content, observability, rate_limiting, validation)
      --force                  Optional, overwrite existing plugin in target category if it exists
      --name string            Name of the plugin to move
      --position int           Optional, an absolute position (order) for the plugin (use: -1 to move to the end) (default -1)
      --to-category category   Optional, move plugin to this category (one of: audit, authentication, authorization, content, observability, rate_limiting, validation)
```

## Options inherited from parent commands

```
      --config-file string    path to config file (default ".mcpd.toml")
      --log-level string      log level for mcpd logs (default "info")
      --log-path string       log file path to use for log output
      --runtime-file string   path to runtime (execution context) file that contains env vars, and arguments for your MCP servers (default "/home/runner/.config/mcpd/secrets.dev.toml")
```

## SEE ALSO

* [mcpd config plugins](/mcpd/cli-reference/mcpd_config_plugins.md) - Manage plugin configuration

**Auto generated by spf13/cobra on 14-Aug-2026**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mozilla.ai/mcpd/cli-reference/mcpd_config_plugins_move.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
